Questions tagged as ['updates']

Questions about updates. This is a very general tag. If you have a tag that's more specific (e.g. the package name that your question is about) please use that one.
Score: 0
Abhishek Kamal avatar
Unable to find files and desktop settings after updating Kubuntu in the software center
pg flag

I am using Kubuntu 21.04. I just update (not upgrade) Kubuntu from default software-center. After a successful update, I tried to access my local files stored in another drive (128GB), but that drive is now empty. It had around 128GB data in it. Not only this, after this update, my all data stored in /home/abhishek/ (13GB) and /var/www/html/(50GB). was gone(may be deleted or something else). My deskto ...

Score: 0
ulrichgros avatar
Temporary failure when resolving error
ru flag

I am having trouble downloading a .deb package. When I try to get this file, I get this message:

E: Failure to get https://files.tux-users.net/ubuntu/pool/universe/k/kwayland/libkf5waylandserver5_5.68.0-0ubuntu1_amd64.deb Temporary failure when resolving "files.tux-users.net"

How can I solve this problem?


Original Message:

Temporärer Fehlschlag beim Auflösen von »files.tux-users.net«

Temporärer  ...

Score: 0
RATENDRA C pmcs avatar
not proper acces to the system
pk flag
W: Skipping acquire of configured file 'main'./binary-amd64/Packages' as repository 'http://archive.ubuntu.com/ubuntu hirsute InRelease' doesn't have the component 'main'.' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'main'./binary-i386/Packages' as repository 'http://archive.ubuntu.com/ubuntu hirsute InRelease' doesn't have the component 'main'.' (component misspelt in so ...
Score: 1
Steve avatar
Possible missing firmware attempting upgrade
co flag

kubuntu 20.04

uname -r
5.11.0-37-generic

After

sudo apt update

and

sudo apt upgrade

I get:

.
Setting up linux-firmware (1.187.17) ...
update-initramfs: Generating /boot/initrd.img-5.11.0-37-generic
W: Possible missing firmware /lib/firmware/i915/skl_guc_49.0.1.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_49.0.1.bin for module i915
W: Possible missing firmware /lib/firmwar ...
Score: 3
Jumba Mark avatar
I have the following error when running sudo apt-get update, kindly assist Clearsigned file isn't valid, got 'NOSPLIT'
in flag
Get:16 http://packages.microsoft.com/repos/code stable InRelease [9,890 B]     
Err:16 http://packages.microsoft.com/repos/code stable InRelease               
  Clearsigned file isn't valid, got 'NOSPLIT' (does the network require authentication?)
Hit:17 https://packages.microsoft.com/repos/ms-teams stable InRelease          
Reading package lists... Done                                                   ...
Score: 1
How do I revert back to a previous update of ubuntu
gb flag

The most recent automatic update of Ubuntu was faulty. My computer just displays a blank screen and an occasionally flashing cursor. Now, in order to boot Ubuntu, when grub comes up,I have to select Advanced options and then scroll down the the previous update that actually worked. Is it possible to just remove the faulty update from the top of the list so that my computer will boot directly into the pr ...

Score: 0
Buket avatar
E: Re-installation of package `st-stlink-udev-rules` is required, but the required archive file cannot be found
in flag

I just started using Ubuntu and I got an error like this after downloading a program. I can't fix this error. I can't update or when I want to do any download I am getting this:

Reading package lists... Done
Creating dependency tree... Done
Reading status info... Done
E: The package st-stlink-udev-rules needs to be reinstalled, but the required archive file cannot be found. 

I think I also corrupted t ...

Score: 0
Jules Gallardo avatar
getting errors when using apt update and when runnin g the software updater get failed to download repository information check internet connection
gr flag

updating from 20 to 21 and i get failed to download repository so tried in terminal and it gave me this error

sudo apt update
[sudo] password for jules: 
Ign:1 cdrom://Ubuntu 20.04.2.0 LTS _Focal Fossa_ - Release amd64 (20210209.1) focal InRelease
Err:2 cdrom://Ubuntu 20.04.2.0 LTS _Focal Fossa_ - Release amd64 (20210209.1) focal Release
  Please use apt-cdrom to make this CD-ROM recognized by APT. apt-g ...
Score: 3
unknown avatar
How to update kernel to specific version
eg flag

I would like to upgrade to specific kernel version (5.4.0-81-generic) from following current state on different servers. I would like to use apt package manger to update kernel.

Ubuntu 18.04.3 LTS  4.15.0-55-generic
Ubuntu 18.04 LTS    4.15.0-51-generic
Ubuntu 18.04 LTS    4.15.0-20-generic
Ubuntu 18.04 LTS    4.15.0-106-generic
Ubuntu 18.04 LTS    4.15.0-133-generic
Ubuntu 18.04 LTS    4.15.0-140- ...
Score: 0
T Shoba avatar
Ubuntu 20.04 update problem ("404 Not Found [IP: ]" error)
br flag

Whenever I try to update my system I get:

$ sudo apt update  
  404  Not Found [IP: ]
E: The repository 'cdrom://Ubuntu 20.04.1 LTS _Focal Fossa_ - Release amd64 (20200731) focal Release' does not have a Release file.
Score: 1
RAI avatar
I have been getting this error from several sources, the latest in installing a new Canon printer
nl flag
RAI
richard@richard-Predator-G3120:~$ sudo add-apt-repository ppa:michael-gruz/canon
[sudo] password for richard: 
 
 More info: https://launchpad.net/~michael-gruz/+archive/ubuntu/canon
Press [ENTER] to continue or Ctrl-c to cancel adding it.

E: Type 'sudo' is not known on line 2 in source list /etc/apt/sources.list.d/signal-xenial.list
E: The list of sources could not be read.
Score: 0
Jules Gallardo avatar
Getting an error message when running sudo apt update command
gr flag

keep getting an error when trying to update

E: Release file for http://us.archive.ubuntu.com/ubuntu/dists/focal-updates/InRelease is not valid yet (invalid for another 2h 59min 8s). Updates for this repository will not be applied.
E: Release file for http://us.archive.ubuntu.com/ubuntu/dists/focal-backports/InRelease is not valid yet (invalid for another 2h 59min 48s). Updates for this repository wil ...
Score: 0
Unable to update ubuntu 20.04 on EC2 owing to timeout
eg flag

I've got what could either be a problem with an EC2 instance or with ubuntu 20.04.

When I run sudo apt-get update I eventually get:

Failed to fetch http://eu-west-
2.ec2.archive.ubuntu.com/ubuntu/dists/focal/InRelease  Could not connect to eu-
west-2.ec2.archive.ubuntu.com:80 (34.241.117.189), connection timed out Could not 
connect to eu-west-2.ec2.archive.ubuntu.com:80 (54.246.214.20), connection ...
Score: 0
Ubuntu 20.04 update significantly slower when Linux/ grub package is updated
dz flag

I am using Ubuntu 20.04 which has been updated to the latest packages. Along with Ubuntu, I have also installed Windows and Arch Linux parallelly on my laptop. I do regular update of Ubuntu using apt command. I have noticed that whenever an update contains kernel or grub2 package, it takes too much to complete the update process (approx 10 min extra than without kernel package). I have installed the O ...

Score: 0
Mohammad Umer avatar
I am having this issue while running 'sudo apt-get update', "Problem with MergeList" or "status file could not be parsed or opened."
us flag
W: The repository 'http://archive.getdeb.net/ubuntu xenial-getdeb Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/archive.getdeb.net_ubun ...
Score: 0
Gangadhar Singh avatar
I am keep getting warning message when doing "sudo apt-get update". I was trying to do update in kubernetes cluster. How can I resolve it?
cn flag

root@gpus:/home/gpus# apt-get update

Hit:2 https://repo.download.nvidia.com/baseos/ubuntu/focal/x86_64 focal InRelease                                                                
Get:1 https://packages.cloud.google.com/apt kubernetes-xenial InRelease [9,383 B]                                                                
Hit:4 https://baltocdn.com/helm/stable/debian all InRelease                     ...
Score: 0
Yasha Karant avatar
software updater configuration for automatic current Ubuntu LTS kernel updates
cn flag

I routinely allow Software Updater to update whatever is needed to current 20.04 LTS production, including the current Ubuntu LTS applicable production kernel. At the next or few reboots after a kernel update, Software Updater has allowed the selection for removal of the previous kernel release components. As of right now, uname -r yields 5.11.0-36-generic.

During the selection process for the instal ...

Score: 0
How do I upgrade an existing EC2 instance from Ubuntu 16.04 to 18.04 through CLI with custom Ubuntu 18.04 image?
cn flag

How do I upgrade an existing EC2 instance from Ubuntu 16 to 18 through CLI/ansible with our own Ubuntu 18.04 image?

Tried below steps and able to upgrade from 16 to 18.04 but it used ubuntu common image.

$ sudo apt update
$ sudo apt upgrade
$ sudo apt dist-upgrade
$ sudo apt-get autoremove
$ sudo apt install update-manager-core
$ sudo do-release-upgrade

But the requirement is to upgrade to 18.04 using cu ...

Score: 0
Gigiux avatar
how to run clamAV on Ubuntu
eg flag

I tried to update and run clamAV but:

$ systemctl start clamav-freshclam
$ clamscan --version
ClamAV 0.103.2/26298/Mon Sep 20 06:51:09 2021
$ sudo freshclam
[sudo] password for gigiux: 
WARNING: Ignoring deprecated option SafeBrowsing at /etc/clamav/freshclam.conf:22
ERROR: /var/log/clamav/freshclam.log is locked by another process
ERROR: Problem with internal logger (UpdateLogFile = /var/log/clama ...
Score: 0
user3447014 avatar
Restricting access to UK IPs without sacrificing Ubuntu's functionality
es flag

I have a customer who restricts outbound traffic to anything outside of the US. Just came up today. I realized that us.archive.ubuntu.com actually points to an IP address that falls within Canonical's IP range that sits in the UK.

As a result, I assume the customer's not going to be install updates, etc. because of this. I feel like I have to be missing something because US was selected in the installat ...

Score: 2
Robin avatar
Ubuntu 20.04 trouble with "Software & Updates" - "Error while refreshing cache"
fr flag

In the "Software & Updates" application, when I check/uncheck any sources or ppa and click "close", I get this (which is normal):

Screenshot 1

After clicking "Reload", I have these errors:

Screenshot 2

It seems like the problems with proxy. I do use proxy, but even when I disable it in "Settings", the problem remains. However, I don't have any problem with sudo apt update.

I don't have any proxy-related env variables, n ...

Score: 3
Newuser80 avatar
Remove Updated Software Notification on 20.04.2 LTS
sl flag

Pop - Up "Updated Software is available for this computer. Do you want to install now"Here is the image

  1. I have set the updater to Never
  2. I have disabled the notification
  3. I have tried the "pkill update-notifier"
  4. sudo systemctl disable apt-update-daily.service and timer disabled to "0"

Can some one help to remove the notification completely?

Score: 2
Thelonius avatar
I can't apt update
cn flag

I just installed Ubuntu 21.04 on dual-boot, but when i try to use sudo apt update i receive the following error:

Ign:1 http://ppa.launchpad.net/mc3man/xerus-media/ubuntu hirsute
InRelease 
Ign:2 http://download.opensuse.org/repositories/home:/strycore/xUbuntu_16.04
InRelease                                        
Hit:3 http://archive.ubuntu.com/ubuntu hirsute InRelease                    
Hit:4 http://de ...
Score: 0
an4s911 avatar
Getting Error messages while doing apt-get update
mc flag

When I do sudo apt-get update this is the output that I get.

Hit:1 https://deb.termius.com squeeze InRelease
Hit:2 http://repo.mysql.com/apt/ubuntu focal InRelease                                                                                               
Err:3 http://qa.old-releases.ubuntu.com/ubuntu focal InRelease                                                                                        ...
Score: 1
zzz.rivera24 avatar
Is it always necessary to do "sudo apt update" and "sudo apt upgrade" when a fresh instance is created?
ru flag

I am a newbie in linux administration. I have always performed "sudo apt update" followed by "sudo apt upgrade -y" after creating a fresh Ubuntu instance (mostly I am using AWS EC2 instances). However, I cannot recall, for the life of me, if it is really necessary or part of what we call "best practice" when administering linux servers. Please let me know if it's best practice and whether I should conti ...

Score: 0
shelfStacker avatar
I accidentally installed (parts of) a GUI on Ubuntu Server
th flag

Knowing no better, I ran the 'automatic' update and install commands with my eyes closed.

apt-get update
apt-get upgrade

Reading other posts on this subject brings me to this command;

zgrep 'install ' /var/log/dpkg.log* | sort | cut -f1,2,4 -d' '

This indeed shows that have installed some Xserver components. Using CRTL+ALT+F3, I am still able to access a terminal.

The GUI that is displayed has no 'star ...

Score: 0
Sravani avatar
How to resolve errors while doing sudo apt update in ubuntu 21.04?
id flag

I am very new to the ubuntu-21.04 ,when i try to do sudo apt update i am getting some error ,How to resolve that issue please help me to fix this issue.i am little bit confusing which things i need to DELETE

E: The repository 'https://packages.sury.org/php hirsute Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: Se ...
Score: 2
eeesa avatar
is it possible to upgrade to kernel 5.14?
cn flag

is it possible to upgrade to kernel 5.14 ? what happens if I did it while now am using 21.04 with kernel 5.11.0.34 and kernel 5.14 is not supported in public?

should I always install other security updates myself or it will automatically be notified by system?

am not technical guy, however, I would love to learn some things that might happen IF I took the rist and updated my kernel right now.

Score: 0
Bozak avatar
How do I fix an error code that wont let me install or update anything?
cn flag

This is the message that displays every time I try to update or install anything:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
  libvdpau1
The following NEW packages will be installed:
  libvdpau1
0 upgraded, 1 newly installed, 0 to remove and 24 not upgraded.
298  ...
Score: 0
Lefteris Garyfalakis avatar
Update-notifier package doesn't notify on Kubuntu
ch flag

Last week I installed Kubuntu and didn't like to update my packages through plasma-discover. I've really liked Ubuntu's update-notifier package, which also exists on Lubuntu (update-notifier-qt) and tried to install it on Kubuntu which worked just fine. However no matter what I've tried it won't actually notify me about out-of-date packages unless I manually open it.

Do you know what I could be d ...